.container {
  display: flex;
  overflow: hidden;
  flex-direction: column;

  .row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    @media (max-width: 1155px) {
      width: 100%;
      flex-direction: column;
      justify-content: center;
    }
  }
}
.toggle {
  display: flex;
  justify-content: space-between;
  margin: 1.5rem 0;
  font-family: WorkSans;
  font-size: 18px;
  line-height: 1.22;
  color: var(--dodger-blue);
  .switch {
    opacity: 0;
    position: relative;
    z-index: 1;
    width: 100%;
    height: 40px;
    left: 8%;
    @media (min-width: 992px) {
      left: 18%;
      min-width: 120px;
      @media (min-width: 1200px) {
        left: 21%;
      }
      @media (min-width: 1300px) {
        left: 25%;
      }
      @media (min-width: 1500px) {
        left: 28%;
      }
    }
  }
  input:checked + .slider::after {
    content: 'YES';
    border: 1px solid var(--dodger-blue);
    transition: transform 500ms;
    transform: translateX(95%);
  }
  label {
    margin: 0;
  }
}
.toggle .slider {
  position: relative;
  display: block;
  z-index: 0;
  margin-left: -50px;
  @media (max-width: 992px) {
    margin-left: -75px;
  }
  &:before {
    content: '';
    width: 120px;
    height: 100%;
    border: solid 1px var(--light-gray-blue);
    display: inline-block;
    vertical-align: middle;
    margin-left: -30px;
    margin-top: -2px;
    left: -20px;
  }

  &:after {
    content: 'NO';
    width: 57px;
    height: 80%;
    border: 1px solid var(--strawberry);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 14px;
    position: absolute;
    left: -25px;
    top: 3px;
    transition: transform 500ms;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--pale-blue);
    font-family: WorkSans;
    font-weight: 600;
  }
}

.description {
  width: 65%;

  @media (max-width: 1155px) {
    width: 100%;
  }
}

.actions {
  width: 35%;

  .detail {
    width: 100%;

    .item {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 16px;

      .label {
        font-family: WorkSans;
        font-size: 18px;
        line-height: 1.22;
        color: var(--dodger-blue);
      }

      .info {
        font-family: WorkSans;
        font-size: 18px;
        line-height: 1.22;
        width: 60%;

        .chainContainer {
          margin-bottom: 25px;

          &:last-child {
            margin-bottom: 0;
          }

          .chain {
            display: flex;
            align-items: center;
            color: var(--light-gray-blue);
          }

          .availSnapshot {
            display: flex;
            justify-content: flex-end;

            span {
              color: var(--dodger-blue);
            }
          }
        }

        input {
          margin-right: 10px;
        }
      }
    }

    .item:first-child {
      margin-top: 16px;
    }
  }

  @media (max-width: 1155px) {
    width: 100%;
  }
}

// input[type='checkbox'] {
//   width: 17px;
//   height: 17px;
//   cursor: pointer;
// }

// input[type='checkbox']:after {
//   content: '';
//   background-color: var(--black);
//   border: 1px solid var(--light-gray-blue);
//   display: inline-block;
//   width: 17px;
//   height: 17px;
// }

// input[type='checkbox']:checked:after {
//   width: 17px;
//   height: 17px;
//   border: 1px solid var(--dodger-blue);
//   background-color: var(--dodger-blue);
// }

.dropdown {
  .arrowClosed,
  .arrowOpen {
    border: solid var(--light-gray-blue);
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 4px;
    position: absolute;
    right: 15px;
  }

  .arrowClosed {
    top: 12px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  .arrowOpen {
    top: 16px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
  }
  .control {
    display: flex;
    align-items: center;
    position: relative;
    justify-content: space-between;
    border: solid 1px var(--light-gray-blue);
    background-color: transparent;
    font-family: WorkSans;
    color: var(--light-gray-blue);
    font-size: 18px;
    height: 46px;
    border-radius: 0;

    .placeholder {
      align-items: center;
    }
  }

  .menu {
    border: solid 1px var(--light-gray-blue);
    background: var(--black);
    margin-top: 6px;
    transition: all 0.5s;

    div[class*='is-selected'] {
      border-radius: 0;
      background-color: var(--light-gray-blue);
    }

    .option {
      display: flex;
      align-items: center;
      height: 48px;
      font-size: 18px;
      font-weight: 400;
      color: var(--white);
      transition: all 0.3s;

      &:hover {
        background-color: var(--light-gray-blue);
        border-radius: 0;
      }
    }
  }
}

.choices {
  width: 65%;

  .list {
    padding: 14px;
    margin-bottom: 8px;
    overflow: hidden;

    .choiceRow {
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      align-items: center;
      padding: 23px 0;

      .indexColumn {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 5%;
      }

      .inputColumn {
        width: 90%;

        .default {
          display: flex;
          flex-direction: column;
          margin-right: 10px;

          @media (min-width: 768px) {
            margin-right: 0px;
          }

          .item {
            @media (min-width: 768px) {
              margin: 0px;
            }

            &:first-child {
              @media (min-width: 768px) {
                margin: 0 5px;
              }
            }

            &:nth-child(2) {
              margin: 0 5px;

              @media (min-width: 768px) {
                margin-right: 5px;
              }
            }
          }

          @media (min-width: 768px) {
            flex-direction: row;
          }

          .item:nth-child(1) {
            width: 100%;

            @media (min-width: 768px) {
              width: 40%;
            }
          }

          .item:nth-child(2) {
            width: 100%;

            @media (min-width: 768px) {
              width: 60%;
            }
          }
        }

        .item {
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: center;
          font-family: WorkSans;
          color: var(--light-gray-blue);
          font-size: 18px;
          margin: 5px;
        }

        input,
        textarea {
          font-family: inherit;
          display: flex;
          padding-top: 0;
          text-align: center;
          width: 100%;
          height: 50px;
          background-color: var(--dark-gray-blue);
          color: inherit;
          font-size: inherit;
        }

        textarea::placeholder {
          display: flex;
          line-height: 50px;
        }

        .name {
          background-color: var(--dark-gray-blue);

          .hash {
            margin-left: 5px;
          }
        }
      }

      .removeColumn {
        width: 5%;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        cursor: pointer;
      }
    }

    .choiceRow:not(:last-child) {
      border-bottom: 1px solid #566876;
    }
  }

  .file {
    border: 1px solid var(--light-gray-blue);
    padding: 12px;
    margin-top: 20px;
    display: flex;
    flex-direction: column;

    @media (min-width: 460px) {
      display: inline;
    }
  }

  .actionsColumn {
    flex: 1;
    margin-top: 3px;
  }

  .checkbox {
    display: flex;
    margin-top: 15px;
    width: fit-content;

    input {
      margin-right: 10px;
    }
  }

  .warning {
    color: red;
  }

  @media (max-width: 1155px) {
    width: 100%;
  }
}

.fileInput {
  display: flex;
  align-items: center;
  justify-content: center;
  border: solid 1px var(--light-gray-blue);
  box-sizing: border-box;
  background-color: transparent;
  font-family: WorkSans;
  color: var(--light-gray-blue);
  font-size: 18px;
  height: 46px;
  width: 100%;

  .input {
    display: none;
  }

  .fileInputLabel {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    padding: 0 10px;
  }

  &:hover {
    color: var(--link-color);
    border-color: var(--link-color);
  }
}

.button {
  width: 100%;
  border: none !important;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0;
  background-color: var(--dark-gray-blue) !important;
  font-size: 15px !important;
  letter-spacing: 1.85px;
  color: var(--light-gray-blue);
  font-family: WorkSans;
  text-transform: uppercase;
  height: 50px !important;
  padding: 0 17px !important;
  margin-top: 15px;
}

.box {
  display: flex;
  flex-direction: column;
  margin-top: 34px;

  .question {
    color: var(--pale-blue);
    font-family: WorkSans;
    font-size: 36px;
    font-weight: 600;
  }
}

.preview {
  margin-bottom: 24px;
}

.markdown {
  img {
    max-width: 100%;

    @media (min-width: 768px) {
      width: 95%;
    }
  }
}

.input {
  font-family: WorkSans;
  outline: none;
  color: var(--light-gray-blue);
  background-color: transparent;
  border: none;
}

.newTagButton {
  background: none;
  border: none;
  color: var(--dodger-blue);
  padding-left: 0;
  &:hover {
    cursor: pointer;
    text-decoration: underline;
  }
}

.votersList {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  .listContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    button {
      width: fit-content;
      margin: 10px 0 0 10px;
    }
    .buttonAdded {
      background: var(--dodger-blue);
      color: var(--black);
    }
  }
}
.votersLabel {
  font-family: WorkSans;
  font-size: 18px;
  line-height: 1.22;
  color: var(--dodger-blue);
  white-space: nowrap;
}
